/*
 * Copyright(C) 2007 t-doi,All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.amritaj;

import java.io.StringWriter;


/**
 * @author t-doi
 */

public class Performance {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		long start = System.currentTimeMillis();

		TemplateFile template = new TemplateFile("src/test/resource/blog.html");
		StringWriter sw = null;
		template.setEncode("MS932");
		for (int i = 0; i < 1000; ++i) {
			sw = new StringWriter();
			template.expand(sw, "");
		}
		long time = System.currentTimeMillis() - start;
		//System.out.println(sw.toString());
		System.out.println("processing time=" + (time / 1000) + "ms.");
	}

}
